What's new

What's new in
Clip Gallery
  • New, browser-like user interface makes it easier to browse, search, and organize your favorite clips.
  • You can drag and drop or copy and paste when inserting, replacing, importing, and organizing clips.
  • You can launch Clip Gallery in stand-alone mode.
  • You can search for clips using normal, everyday language.
  • You can search for clips with a similar artistic style, appearance, or keywords.
  • You can get even more clips from a special Web site just for Clip Gallery users.
  • You can change the Clip Gallery window to take up less space on your screen.
  • You can use Microsoft Intellimouse® features in Clip Gallery.
  • There are more pictures, sounds, and motion clips.
  • You can use Clip Gallery with more of your favorite Microsoft applications.


Clip Gallery Basics

Microsoft Clip Gallery Basics

If you're new to Clip Gallery, or even to this version of Clip Gallery, this is for you! Click the underlined links to check out how to:

  • Search for clips.
  • Use the speedy Pop-up menu.
  • Find menus using the right mouse button.
  • Find media types on the tabs.
  • Find clips by typing a description in the Search for clips text box.
  • Navigate using the All Categories button and previous search results.
  • Organize your clips.
  • Use Help efficiently.

See also:
What's New
Where to store clip files and clip catalogs


Using the Media Tabs

Click one of the Media tabs to find media content

Content in Clip Gallery is sorted by media type on the three Media tabs. When searching for clips, be sure to click the tab that corresponds to the type of content you want to see.

Media Tab
Pictures | Sounds | Motion Clips
Pictures | Sounds | Motion Clips
Contains
clip art, photographs, bitmaps, scanned images, drawings, and other graphics for your documents | sound effects and music | videos, animated GIFs, and other animations
With file name extensions like these
.wmf, .cgm, .gif, .jpg, .bmp, and .png | .wav and .mid | .avi and animated .gif

See also:
Importing clips using Clips Online
Playing sound and motion clips
Missing or incompatible graphics filter or media player?


Browsing for Clips by Category

To browse for clips by category

  1. On the toolbar, click the All Categories button:

  2. Select the tab you want to browse, and then click a category icon to open that category.
  3. Use the scroll bar, the arrow keys, the PAGE DOWN and PAGE UP keys, or the Microsoft Intellimouse, to see any clips not visible on the screen.
  4. Click the Keep Looking button at the bottom of the page, if it appears, to see additional clips.

Note Clicking a category icon will show all clips that have that category selected, followed by all clips that have keywords related to this category. For example, clips with the keyword dogs will appear when you select the Animals category icon whether or not the clip has the Animals category selected.

If you are running a Microsoft application that has a restricted mode of Clip Gallery, the All Categories button looks the same but is called the Home button. When in this mode, you will just see clips, as there are no categories. The Home button returns Clip Gallery to the top of the page of clips for that special mode. If you are running Clip Gallery in restricted mode, you'll have to close that mode and open Clip Gallery from your application's Insert menu to see other categories.

See also:
Using the Media tabs to find content
Searching for clips by description
Moving a clip near the top of a category


Searching for Clips by description

To find clips by describing them

  1. On the toolbar, click the Search for clips text box.
  2. Enter one or more words, or a phrase, that describe the subject you want (for example, birds in a tree) and press ENTER.
  3. Use the scroll bar, the PAGE DOWN and PAGE UP keys, or the Intellimouse, to see any clips not visible on the screen.
  4. Click the Keep Looking button at the bottom of the page, if it appears, to see additional clips.

Tips

  • If you don't find clips you want, search again using:
    • More or fewer keywords.
    • A more specific keyword.
    • A different search method as described in Finding similar clips or Browsing for clips by category.
    • A different Media tab.
  • In the Search for clips text box you can use Automatic Spell Checker, AutoCorrect, and AutoComplete.
  • You can search for clips with a specific file name extension by typing the extension in the Search for clips text box.

See also:
Using the Media tabs to find content
Can't find a button or function?


Find similar

To find similar clips

  1. Click a clip similar to the type of clip you want to find.
  2. On the Pop-up menu, click the Find similar clips button:

  3. Choose from the following options:
    • Click the Artistic Style button to search for clips with the same visual artistic style. This button will be dimmed for all Sound clips and any visual clips that do not have an artistic style defined.
    • Click the Color & Shape button to search for clips with similar shapes or colors. This button will be dimmed for Sound clips.
    • Click the All Keywords link to search for clips that match some or all of the keywords of the selected clip.
    • Click any individual keyword to search for clips that match that keyword.
  4. Use the scroll bar, arrow keys, the PAGE DOWN and PAGE UP keys, or the Microsoft Intellimouse, to see any clips not visible on the screen.
  5. Click the Keep Looking link at the bottom of the page, if it appears, to see additional clips.

See also:
Searching for clips by description


Importing clips using Clips Online

Clips Online is a special Web site just for Clip Gallery users. The information in this topic refers only to using Clips Online. See To import additional clips into the Clip Gallery for information about how to import clips from your hard drive, CD-ROM or other removable media, or other Web sites.

Note To use Clips Online, you must have an online service and modem or other connection to the Web. You also need a Web browser that can use frames and JavaScript (such as Microsoft Internet Explorer 4.0) in order to use this feature.

To connect to a special Web site for Clip Gallery users

  1. On the toolbar, click the Clips Online button:

  2. Click OK to browse for additional clips.

Tip

  • All clips downloaded from Clips Online will be put in the Downloaded Clips category, as well as any categories that are pre-assigned to the clips.

See also:
Can't find a button or function?


See previous search results

To see previous search results

  1. On the toolbar, click the down arrow at the right of the Search for clips text box so that a list of descriptions from previous searches appears.
  2. Click the description of the clips you want to see.

–OR–

  • On the toolbar, click the Back and Forward arrows:

    Back and Forward arrows

    The arrows will become available once searches from your current session create the opportunity for you to move back or forward.

See also:
Searching for clips by description
Can't find a button or function?


Go to to All Categories

To view all clip categories

To view all the categories in Clip Gallery on a given Media tab, including the categories you have created:

On the toolbar, click the All Categories button:

Note If you are running a Microsoft application that has a restricted mode of Clip Gallery, the All Categories button looks the same but is called the Home button. When in this mode, you will just see clips, as there are no categories. The Home button returns Clip Gallery to the top of the page of clips for that special mode.

See also:
Using multiple instances of Clip Gallery


Adding a clip to your document

To add a clip to your document

  1. Click the clip you want to add to your document.
  2. On the Pop-up menu, click the Insert clip button:

  3. If the clip cannot be found, you will be prompted to insert a disk or other removable media, or to browse to its current location.

Tips

  • If Clip Gallery has an OK button, you can click a clip and then click OK to insert the clip. Clip Gallery may close automatically, or you can then click Close.
  • You can also drag and drop to add a clip to your document.
  • If the insert button appears dimmed, that function is unavailable. However, you may be able to drag and drop or copy and paste instead.

See also:

Making imported clips easy to find
Adding multiple clips to your document
Can't find a button or function?
Can't insert sound and motion clips with earlier applications?
Replacing a clip in your document


Adding multiple clips to your document

To add more than one clip to your document at the same time

  1. Select the clips you want to add to your document. Select multiple clips by:
    • Clicking a single clip, and then pressing the CTRL key while clicking additional clips.

      –OR–

    • Pressing the SHIFT key while clicking the first and last of a series of clips.
  2. If the clip cannot be found, you will be prompted to insert a disk or other removable media, or to browse to its current location.
  3. Using your mouse pointer, drag the clips into your open document.

Note Some applications will only add one clip at a time. If you attempt to insert multiple clips in one of these applications, it will just insert the last selected clip.

Tip

  • You can also copy and paste multiple clips into your document.

See also:
Making imported clips easy to find
Adding a clip to your document
Replacing a clip in your document


Replacing clips in your doc

To replace an existing picture clip in your document

Some Microsoft applications retain a link to Clip Gallery that allows you to replace a picture clip in one operation.

  1. Double-click the clip in your document that you want to replace. If the application supports Replace then Clip Gallery will launch. When Clip Gallery launches, the clips shown will be similar in subject matter or style to the clip you are replacing. (If Clip Gallery does not launch, then your application does not support Replace.)
  2. In Clip Gallery, click the clip that you want to add to your document.
  3. On the Pop-up menu, click the Insert clip button:

  4. If the clip cannot be found, you will be prompted to insert a disk or other removable media, or to browse to its current location.

Tip

  • If the application you are using has a Replace command, you can use that instead of double-clicking. It is typically found by right-clicking the clip and then pointing to Replace, Replace Clip Object, or Clip Object (and then selecting Replace).

See also:
Can't find a button or function?
Adding a clip to your document


Import Clips

To import additional clips into Clip Gallery

  1. On the toolbar, click the Import Clips button:

  2. In the Add clip to Clip Gallery dialog box, click the down arrow of the Look in box to locate the clip. See Switching to another folder or drive for more help.
  3. Select the clip or clips you wish to import. You can select more than one clip by:
    • Clicking a single clip, and then pressing the CTRL key while clicking additional clips.

      –OR–

    • Pressing the SHIFT key while clicking the first and last of a series of clips.
    (Hint: Check the Files of type box if the clips you want aren't showing.)
  4. Choose the Clip import option you want:
    • Copy into Clip Gallery adds a copy of the clip to Clip Gallery and also keeps the clip in its original location.
    • Move into Clip Gallery moves the clip into Clip Gallery and deletes the clip from its original location.
    • Let Clip Gallery find this clip in its current folder or volume lets Clip Gallery use a clip from its original location. This option can be used for clips on a CD-ROM or other removable media, the hard disk of your computer, or a network.
  5. Click the Import button.
  6. Enter clip properties such as description, categories, and keywords for the clip, and click OK. If you don't enter any clip properties, the clip can still be found in the Lost & Found category on the appropriate Media tab for that clip.

Tips

  • If you are importing multiple clips, you can click Skip this Clip to avoid importing the current clip in place of completing step 6. This will only affect the specific clip you skip. To avoid importing the current clip and all that follow, click Cancel.
  • Immediately after importing you will be able to see all the clips you've imported since last starting up Clip Gallery. You may have to look at some of the other Media tabs or click the Keep Looking link to see all the recently imported clips. To see just the clips that you import on each import, you must first close all additional Clip Gallery windows.
  • To learn how to make your imported clips easy to locate, see Making imported clips easy to find.

See also:
Can't find a button or function?
Importing catalogs of clips
Using drag-and-drop
Copying and pasting


Importing catalogs

Importing clip catalogs into Clip Gallery

A clip catalog is a file that helps you find and organize a collection of clips. It contains keywords, categories, and thumbnail images for the corresponding clip files in that collection. The Custom install option in your application's Setup program is the recommended way to install clip catalogs for clips that shipped with the application. See Where to store clip files and clip catalogs for information on how to do this.

You can also import a clip catalog. Earlier clip catalogs have a .cag extension; current clip catalogs have a .mmc extension.

To import clip catalogs into Clip Gallery

  1. On the toolbar, click the Import Clips button:

  2. In the Add clip to Clip Gallery dialog box, click the Files of type box, scroll to the bottom of the list, and then click Clip Gallery catalogs.
  3. Click the down arrow of the Look in box to locate the clip catalog you want to import. See Switching to another folder or drive for more help.
  4. Select the clip catalog you want to import.
  5. Click the Import button.
  6. When you get a message saying that the catalog or catalogs have been added to Clip Gallery, click OK.
  7. To see the new clip previews, quit by clicking Close on the Clip Gallery title bar, and then start Clip Gallery again.

Tip

  • Copying the clip catalog to your hard drive before importing it will greatly improve performance, if you have enough space to do this. See Where to store clip files and clip catalogs for more information.

    • See also:
    Can't find a button or function?
    Importing other clips


Making imported clips easy to find

To make imported clips easy to find

When you import a clip using the Import Clips button, first select the clips you want to import. You can then enter information describing the clip in the Clip Properties dialog box when it appears, which will help you locate the clip again later. This is the best time to:

  • Write a description of the clip, which is searchable and also appears as a ToolTip when your cursor hovers over a clip.
  • Select the category or categories you want the clip to be in. If you import a clip directly into a category, it will be added to that category.
  • Add one or more search keywords.

If you skip adding clip properties at the time you import the clip, you will be able to add properties at a later time. Clips imported using the Clips Online button will already have keywords, descriptions, and categories, although you may add to or change these properties later.

To locate and add properties to a clip you imported with no properties

  1. If you do not have the All Categories page open, on the toolbar, click the All Categories button:

  2. Select a tab if you are not already on the tab you want and click the Lost & Found category.
  3. Right-click the clip to which you want to add properties.
  4. On the shortcut menu, and click Clip Properties.
  5. add the description, categories, and keywords.

Tip

  • Once a clip has properties such as keywords, categories, or a description, it will no longer be in the Lost & Found category. See Searching for clips to learn how to find clips based on their properties.


Finding your favorite clips

Making it easier to find your favorite clips

Here are three ways you can make your favorite clips easier to find. Choose the option that works best for you:

  • Put them in the Favorites category.
  • Create a new category to put them in.
  • Move the clip to the top of an existing category.


Add clip to a category

To add a clip to a new or an existing category

  1. Click the clip you want to add.
  2. On the Pop-up menu, click the Add to category button

    Add to category

  3. Click or type the category name. (Typing a new category name will create a new category on the current tab.)
  4. Click the Add button.

See also:
Adding multiple clips to a category
Moving a clip near the top of a category


Add multiple clips to a category

To add multiple clips existing category

  1. Select the clips you want to add by:
    • Pressing the CTRL key while clicking individual clips.

      –OR–

    • Pressing the SHIFT key while clicking on the first and last of a series of clips.
  2. On the Pop-up menu, click the Add to category button

    Add to category

  3. Click or type the category name. (Typing a new category name will create a new category on the current tab.)
  4. Click the Add button.

Tip

  • You can also use copy and paste to add multiple clips to a category.
See also:
Creating a new category
Adding a clip to a category


Moving clip near the top of category

Moving a clip near the top of an existing category

User-added clips will appear near the top of a category. Adding a clip to a category moves the clip to the top group of clips in the category. The top group are those clips which have the category selected in the clip properties window. Note that most clips in a category do not have that category selected in their properties window. Most clips are part of a category by virtue of their keywords (clips keyworded with Animals also appear in the Animals category). By actually selecting the category you force the clip to be in the top group. If you add a lot of clips, however, you may have to scroll down or click the Keep Looking button to find the clip you are looking for.

To move a clip near the top of an existing category

  1. Click the clip you would like to appear among the first clips in a category.
  2. On the Pop-up menu, click the Add to category button:

    Add to category

  3. Click or type the category name.

See also:
Creating a new category
Adding a clip to a category
Browsing for clips by category


Create a new category

To create a new category

  1. Click the Media tab you would like the new category to appear on.
  2. If you are not on the All Categories page, click the All Categories button:

  3. On the All Categories page, click the New Category icon:

  4. Enter the new category name.

Note If you are using a Microsoft application that has a restricted mode of Clip Gallery and is running in restricted mode, you will not be able to see or create other categories. To see all your categories, you will have to open Clip Gallery from your application's Insert menu.

See also:
Categorizing clips
Can't find a button or function?


Add or remove keywords

To add or remove keywords for a clip

  1. Use the right mouse button (right-click) to select the clip you want to change.
  2. Click Clip Properties.
  3. Click the Keywords tab.
  4. To remove a keyword, select that keyword and click the Remove Keyword button.
  5. To add a keyword, click the New Keyword button, and then type in the keyword you want to add.


Clip properties

Clip properties are information about a clip that describes and identifies each clip. You can see this information by selecting a clip using the right mouse button and then clicking Clip Properties. Information such as description, category, and keywords can be modified. Property information is stored in the Clip Gallery catalog.

Property | What it describes
Description | A short description of the clip that is searchable and also appears as a ToolTip on the clip icon
Name | The name of the clip file including a file name extension
Type | The type of file based on the file name extension
Size | The file size in bytes
Dimensions | The dimensions of a picture or motion clip in pixels (some clips, such as .wmfs, do not show dimensions)
Duration | The length of time a sound or motion clip will take to play
File Path | Shows the location of the clip (click Refresh to see this)
Catalog Path | Shows the location of the clip catalog containing information about the clip
Categories | Shows the categories assigned to this clip
Keywords | Shows the keywords assigned to this clip
Thumbnail | A thumbnail-sized preview of a picture clip or an icon for a sound or motion clip
Preview | Shows a large preview of the current clip if it is a picture
Play | Plays the current clip if it is a sound or motion clip
Refresh | Refreshes the file path field, thumbnail, and other clip properties


Entering or changing a clip description

The clip description can be used to search for your clip. See Searching for clips by description for more information. The description is also visible as a tooltip when you hover over a clip.

To enter or change a clip description

  1. Select the clip using the right mouse button (right-click) and click Clip Properties.
  2. Click the Description tab, if it is not already selected.
  3. In the drop-down box, select or type in words or phrases to describe the clip.

Tips

  • When importing clips in most modes of Clip Gallery, the Description tab of the Clip Properties dialog box is brought up for you, so start at step 3.
  • Clip properties will appear dimmed if they are in a different language than the one installed by your operating system and the characters cannot be translated. You will not be able to edit these properties.


Select or remove categories

Each clip can be in one or more categories. See Browsing for clips by category for more information.

To select or remove categories this clip will appear in

  1. Select the clip using the right mouse button (right-click) and click Clip Properties.
  2. Click the Categories tab.
  3. Select any check boxes of categories you want the clip to appear in, and clear any check boxes of categories you do not want the clip to appear in. (Clips shipped with Clip Gallery have some hidden keywords that may still cause a clip to show in a category even if you clear the check box for a category.)
  4. Click the New Category button to add a new category name and assign the current clip to that new category.

Tips

  • When importing clips in most modes of Clip Gallery, the Clip Properties dialog box is brought up for you, so start at step 2.
  • Clips will also automatically appear in categories based on their keywords or description. For instance, if you describe a clip as a picture of my dog it will automatically appear in the Animals category even if the Animals category is not checked.
  • Clip properties will appear dimmed if they are in a different language than the one installed by your operating system and the characters cannot be translated. You will not be able to edit these properties.


Entering or changing keywords

Keywords can be used to search for your clip. See Searching for clips by description for more information.

To enter or change a keyword

  1. Select the clip using the right mouse button (right-click) and click Clip Properties.
  2. Click the Keywords tab.
  3. To remove a keyword, select that keyword and click the Remove Keyword button.
  4. To add keywords, click the New Keyword button, and then type the keywords you want to add.

Tips

  • When importing clips in most modes of Clip Gallery, the Clip Properties dialog box is brought up for you, so start at step 2.
  • Some punctuation may not be acceptable in a keyword. Acceptable punctuation varies depending on your input locale.
  • Clip properties will appear dimmed if they are in a different language than the one installed by your operating system and the characters cannot be translated. You will not be able to edit these properties.
  • Multiple-word keywords may be broken up into separate words when you enter them. You can still search for them by typing in the words you entered in the Search for clips text box.


Using multiple instances

Using multiple instances of Clip Gallery

You can open more than one instance of Clip Gallery in order to organize your clips. For instance, you may want to open Lost & Found in a separate window and sort out the contents into various categories. You can open Lost & Found in a new window and size and locate both windows on your screen, so you can see them both at the same time. Then drag clips from Lost & Found and drop them into the categories you want them to be in.

To open multiple instances of Clip Gallery

  1. Select the All Categories icon. From the All Categories page, right-click the category you want opened, and click Open in New Window.
  2. Size the window by clicking the sizing handle at the lower-right corner of that instance and dragging it to make the window smaller.
  3. Move that instance to where you want it by clicking the title bar and dragging the window.
  4. Repeat steps 1, 2, and 3 to open additional instances if you want more categories open at the same time.

Tips

  • You can also press CTRL+N to open another instance of Clip Gallery.
  • You can use the Pop-up menu to add one or more clips to one or more categories. See Adding a clip to a category and Adding multiple clips to a category.

See also:
Using drag-and-drop
Stand-alone mode


Deleting clip previews and clips

Using Delete will:

  • Remove the clip preview of a clip installed with Clip Gallery.
  • Remove the clip and the clip preview of a clip that you moved or copied when you imported it into Clip Gallery.
  • Remove only the clip preview of a clip that you linked to its original source when you imported it into Clip Gallery.

To delete a clip preview, or a clip and its clip preview

  1. Select the clip using the right mouse button (right-click). You can select more than one clip by pressing SHIFT and the arrow keys.
  2. Click Delete.
  3. Click OK.


Deleting categories from tabs

To delete categories from Media tabs in your Clip Gallery

  1. Select the Media tab from which you want to delete a category icon.
  2. On the toolbar, click the All Categories button:

  3. Select the category you wish to delete using the right mouse button (right-click) and click Delete Category.
  4. Click OK.

Note Deleting the category will remove a category icon from the Categories page on that tab, but will not delete the clips that are in that category.


Rename categories

To rename categories on a specific Media tab

  1. Click the Media tab you want if you are not already on it.
  2. On the toolbar, click the All Categories button:

  3. Select the category you wish to rename using the right mouse button (right-click) and click Rename Category.
  4. Type the new category name and click OK.


Where to store clip files and clip catalogs

There are two types of files that come with Clip Gallery: clip source files (also called clip files) and Clip Gallery catalogs (also called clip catalogs). For more information about clip file types, see Media tabs. Clip catalogs contain information about the clip files called clip properties. When adding clips to your Clip Gallery (especially when installing an additional Microsoft product on your computer), you have two options for clip catalogs and two options for clip files. See the documentation for the application that Clip Gallery is installed with in order to determine where to find the Custom install options for that product. In many cases it can be accessed from the Windows Start menu, and then selecting Settings, Control Panel, clicking the Add/Remove Programs icon, clicking the Install/Uninstall tab, the Add/Remove button, and following the instructions from there.

  • Install Clip Gallery catalogs to your hard drive
    If you have enough space on your hard drive, you will get the best results when browsing or searching for clips in Clip Gallery by installing all the Clip Gallery catalogs on your hard drive. The catalogs are relatively small and contain information about each clip, including the thumbnail or small preview, that you see when browsing the Media tabs or looking at clip properties. Some applications do not install the catalogs in a Typical installation, so you must choose the Custom install option when installing or reinstalling an application, and then be sure to select the Clip Gallery catalogs you want installed on your local disk or network.
  • Leave Clip Gallery catalogs on CD-ROM
    This is best used if you are very short on hard-drive space or will not access these clips except very occasionally. If you do not install the Clip Gallery catalogs that come with your application either to your local hard drive or a network share, you will not see the clips from those catalogs in Clip Gallery unless the disk containing the catalog is in your disk drive.
  • Put most or all of your clip source files on your computer's hard drive
    This is a good choice if you have lots of available hard-drive space and want the quickest access to the clips when using Preview, Play, or Insert clips. You must choose the Custom install option when installing or reinstalling an application in order to put your clip files on your hard drive.
  • Leave clip source files at their source location, on a CD-ROM, other removable media, or on a network
    This is a good choice if you have limited hard-drive space or will only use these clips infrequently. You can do this only if the clips are on removable media or on a network that you can access. You cannot use this option with clips from Clips Online.


Compacting your Clip Gallery catalog

Compacting your primary Clip Gallery catalog

If you have removed many imported clips from Clip Gallery, you may wish to compact your primary Clip Gallery catalog.

To compact your primary Clip Gallery catalog

  1. Select any category or clip using the right mouse button (right-click).
  2. On the shortcut menu, click Recover.
  3. Click Compact.

Note Compacting your Clip Gallery database will not remove clips from your hard drive, but will only compact your primary Clip Gallery catalog, which contains the thumbnail-sized clip previews and other clip property data. If you want to remove installed clips from your computer to save space, you must uninstall them using the application they were installed with. If you want to remove user-imported clips you can delete them from Clip Gallery.

Compacting also performs many routine checks on your Clip Gallery data, attempting to repair any data corruption in the primary Clip Gallery catalog. If you experience problems such as corrupted data error messages or missing clips, using Compact may resolve the problem.

See also:
Restoring your Clip Gallery data


Restoring your Clip Gallery data

To restore your Clip Gallery data

You can recover clip previews or categories you deleted from Clip Gallery and restore the original clip properties. Only clips from currently installed products can be restored.

  1. Select any category using the right mouse button (right-click).
  2. On the shortcut menu, click Recover.
  3. Click Restore.
  4. Choose one of the following options:
    • Click the Restore Categories button to restore categories that were installed with Clip Gallery and that you have previously renamed or deleted.
    • Click the Restore Clips button to restore all product clips you deleted using Clip Gallery. If you removed a product or files, you may need to reinstall the product before you can use clips you restore.
    • Click the Restore Properties button to revert to the original descriptions, keywords, and categories for all clips from installed products. Any changes you have made to properties of these clips will be lost.

Note If you experience problems such as corrupted data error messages or missing clips caused by a premature shutdown of Clip Gallery, see Compacting your main Clip Gallery catalog.


Stand-alone

Using Clip Gallery in stand-alone mode

Clip Gallery can be used without launching it through another Microsoft application. You might choose to launch it in stand-alone mode to:

  • Browse for ideas or organize your clips.
  • Add clips to Clip Gallery.
  • Search for clips without launching another application.
  • Add clips in a third-party application.

To launch Clip Gallery in stand-alone mode

  • On the Windows Start menu, point to Programs, and then click Microsoft Clip Gallery. (If Clip Gallery is not on your Start menu, see Adding Clip Gallery to your Start menu.)

Note Some functions may not work or may work differently in stand-alone mode. For example, the Insert clip button will be dimmed, but you may be able to drag the clip or copy and paste it instead. If an icon is dimmed, check the tips on the Help topic corresponding to that icon to find an alternate function that will accomplish the same task.

See also:
Can't find a button or function?
Using multiple instances of Clip Gallery


Shortcut Keys

Moving around Clip Gallery
To do this | Press this
Go to All Categories or Home page | ALT+HOME
Exit Clip Gallery | ALT+F4
Select among multiple open Clip Gallery windows | ALT+TAB
Select the Media tabs from left to right or right to left | CTRL+TAB or CTRL+SHIFT+TAB
Move focus to the main areas of the Clip Gallery window | TAB or SHIFT+TAB
Launch a new Clip Gallery window | CTRL+N
Close the window that has focus | ALT+F4
Activate a selected category (execute), clip (Pop-up control), or control | ENTER
Accessing the toolbar
To do this | Press this
Move focus to the Search for clips box | CTRL+F
Move forward or backward one word in the Search for clips box | CTRL+LEFT ARROW or CTRL+RIGHT ARROW
Expand the Search for clips combo box (if editing) and focus on the first item | ALT+DOWN ARROW
Display spelling suggestions in the Search for clips box | SHIFT+F10
Shrink Clip Gallery to small window size | CTRL+SHIFT+<
Expand Clip Gallery to normal window size | CTRL+SHIFT+>
Import clips | ALT+I
Clips Online | ALT+C
Open Help | ALT+H or F1
Show Context Help for whatever has focus | SHIFT+F1
Finding or selecting clips
To do this | Press this
Find more clips with similar artistic style | SHIFT+F7
Find more clips with similar color and shape | SHIFT+F8
Move left and right, up and down, among categories or clips | ARROW KEYS
Select additional clips after one clip has been selected | SHIFT+ARROW KEYS
Select all clips on the current page | CTRL+A
Go to next page (when focus on clips, same as Keep Looking) | SHIFT+BACKSPACE
Go to previous page (when focus on clips, same as Back) | BACKSPACE
Move back to a previously seen page | ALT+LEFT ARROW
Move forward to a previously seen page | ALT+RIGHT ARROW
Scroll up | PAGE UP
Scroll down | PAGE DOWN
Preview or play a clip | F6
Insert the clip in your document | CTRL+I
Copy (select the clip to clipboard) | CTRL+C or CTRL+INSERT
Paste (import from clipboard to Clip Gallery) | CTRL+V or SHIFT+INSERT
Delete selected clip or category | DELETE
Move to the beginning of a page and select the first item | HOME
Move to the end of a page and select the last item | END
Using the Pop-up menu
To do this | Press this
Show or hide the Pop-up control for the clip that has focus (same as click) | SPACEBAR
Shift focus to another button on the Pop-up menu | TAB or SHIFT+TAB
Expand the Pop-up control | Tab to the Find similar clips or Add clip to Favorites button, and then press ENTER
Shrink the Pop-up control | Tab to the Find similar clips or Add clip to Favorites button, and then press ENTER
Preview or Play | Tab to the Preview or Play button, and then press ENTER
Using a shortcut menu
To do this | Press this
Display a shortcut menu for a collection, clip, or link (same as right-click) | SHIFT+F10
Display a shortcut menu | Shortcut Menu Key (only on the Microsoft Natural Keyboard)
Open the Clip Properties dialog box on a selected clip | ALT+ENTER
Using the Preview window
To do this | Press this
Open or close the Preview window (from a clip that has focus) | F6
Shift focus between the Preview window and the Clip Gallery window | CTRL+F6
Open the shortcut menu on the Preview window | ALT+SPACEBAR
Preview a different clip while the Preview window is open | Move focus to the Clip Gallery window (CTRL+F6), and then use ARROW KEYS
Using dialog boxes
To do this | Press this
Exit a dialog box | ESC
Shift focus forward and backward between different areas of a dialog box | TAB and SHIFT+TAB
Activate a selected category (execute), clip (Pop-up control), or control | ENTER


Large preview of picture clips

To see a large preview of a picture clip

Note Preview is only available for clips on the Pictures tab.

  1. Click the clip you want to preview.
  2. On the Pop-up menu, click the Preview clip button:

  3. If the clip cannot be found, you will be prompted to insert a disk or other removable media, or to browse to its current location.

Tips

  • Once the Preview window is open, you can click or use the arrow keys to make another clip appear in the Preview window.
  • To resize the preview and window, click the sizing handle in the lower-right-hand corner and drag it to the size you want. File types that do not preserve their image quality when you stretch them beyond their original size (graphics with extensions such as .gif, .jpg, and .bmp) can only be enlarged to their actual size. Other graphic formats (such as .wmf) can be made larger than their actual size.
  • To move the Preview window, click the title bar and drag the window to where you want to locate it on your screen.
  • You can close the Preview window at any time by clicking the Close button on the title bar of the Preview window.

See also:
Using the Media tabs to find content


Playing sound and motion clips

To play sound and motion clips

Note Play is only available for clips on the Sounds and Motion Clips tabs.

  1. Click the clip you want to play.
  2. On the Pop-up menu, click the Play button:

  3. If the clip cannot be found, you will be prompted to insert a disk or other removable media, or to browse to its current location.

Tips

  • Click the Play button on your player if it comes up but does not start to play the clip on its own.
  • Click the Stop button on your player to stop playing a clip.
  • In order to play sound and motion clips in Clip Gallery or in your documents, you must have the appropriate player on your computer. Media players are installed with your operating system, your browser, or other software. It is possible you may have accidentally deleted a player if you are unable to play a clip. See Installing a media player for instructions corresponding to the version of your browser.

See also:
Using the Media tabs to find content
Missing or incompatible graphics filter or media player?


Changing to small window

To change the Clip Gallery window to take up less space on your screen

  • On the toolbar, click the Change to Small Window icon on the right side of the toolbar of the full window:

To return to the full-size Clip Gallery window

  • On the toolbar, click the Change to Full Window icon on the right side of the toolbar of the small window:

Tip

  • Depending on the mode of Clip Gallery you are in, these icons may not be available. You can always resize the Clip Gallery window by clicking the sizing handle in the lower-right-hand corner and dragging it to the size you want.


Using Help efficiently

New features in this version of Help

  • On the Microsoft Clip Gallery 5.0 Help toolbar, click Hide to close the Navigation pane, which contains the Table of Contents and Index tabs. This will make the Help window smaller, and then you can move Help to the side of your screen and keep it open while you are doing a task in Clip Gallery.
  • On the Help toolbar, click Show to reopen the Navigation pane.
  • Underlined words or phrases are links. Click any link to get to more information about that subject.
  • On the Help toolbar, click the Back and Forward arrows to return to previously selected topics.

Help basics

  • Use the Table of Contents to browse for information about how Clip Gallery works.
  • Use the alphabetical Index to locate information about a specific topic.
  • Click the + before a topic heading, or double-click the topic heading, to see the topics in that heading.
  • Click the ? or the topic title to view the topic in the topic pane.

Context Help basics

Context Help is information about a specific button or feature that you can access directly in Clip Gallery and Clip Gallery dialog boxes. To access Context Help:
  • Click the question mark on the title bar, and then click the feature you want more information about.

    –OR–

  • Press SHIFT+F1. You will either get Context Help for whatever has focus, or you may then click the feature you want more information about.


Using the right mouse button

Clip Gallery has many functions on menus that you access by using the right mouse button (right-click):

  • Insert
  • Copy
  • Paste
  • Delete
  • Recover
  • Clip Properties
  • Open in New Window
  • Rename Category
  • Delete Category
  • Paste Clips

Right-clicking a clip or category will bring up a menu, and you can then select the function you want. If you have your mouse set up to be used by your left hand, then you can access that menu by clicking your secondary button, which in that case would be your left mouse button.

Tip

  • If you don't use a mouse, you can get to the menu by selecting a clip or category, pressing SHIFT+F10, and then pressing the underlined character to select the function.

See also:
Shortcut keys


Drag and drop

Using drag-and-drop

You can use your mouse pointer to drag and drop to do the following tasks:

  • Insert clips into your documents.
  • Import clips into Clip Gallery.
  • Organize your clips in Clip Gallery.

If drag-and-drop is new for you, this is how to do it:

  1. Select the clip or clips you want to add by:
    • Clicking a single clip.
    • Pressing the CTRL key while clicking individual clips.

      –OR–

    • Pressing the SHIFT key while clicking the first and last of a series of clips.
  2. While holding the mouse button, move the mouse pointer to where you want the clips to go.
  3. Release the mouse button.


Copy and paste

Copying and pasting

You can copy and paste to do the following tasks:

  • Insert clips into your documents.
  • Import clips into Clip Gallery.
  • Organize your clips in Clip Gallery.

If copying and pasting are new for you, this is how to do it:

  1. Select the clip or clips you want by:
    • Clicking a single clip.
    • Pressing the CTRL key while clicking individual clips.

      –OR–

    • Pressing the SHIFT key while clicking the first and last of a series of clips.
  2. Press CTRL+C or click the Copy button:

  3. Click where you want the clips to go and press CTRL+V or click the Paste button:

Tips

  • In Clip Gallery, right-click a category or a folder, and then select Paste.
  • In some applications, the Paste command appears on the Edit menu.


Intellimouse

Using the Intellimouse in Clip Gallery

You can use your Microsoft Intellimouse® to scroll through a page of clips or clip categories:

  1. Click any clip or folder.
  2. Use the wheel on your Intellimouse to scroll one row at a time.


Backing up Clip Gallery data

If you back up your files and want to make sure that all your Clip Gallery data is recoverable, you will want to be sure to include the clip files that you have imported and all clip property information. Those files are stored in a folder called Media Catalog which is in your Application Data directory. You can use the Find Files or Folders command after selecting Find on the Windows Start menu to find this directory. See Switching to another folder or drive for more information.

If you have user profiles enabled in Windows, there will be a separate Media Catalog folder for each Clip Gallery user. You may back up one or all of these folders. If you already use a utility program designed to back up user data, it may automatically include these files. If you need to restore your computer from a backup (for example, after a disk failure), and you have imported any clip catalogs, such as .mmc or .cag files, using Import Clips, you may also need to reimport those catalogs in order for them to appear in Clip Gallery. See Importing catalogs of clips for more information.


Can't Find a button or function

Having trouble finding a button or function in Clip Gallery?

If the button you want is dimmed:

  • Earlier Microsoft applications may allow only some of the new Clip Gallery functions. For example, Clip Gallery may launch as a dialog box and not have a button to shrink or expand the main window. Check for tips on the Help page that describe the function you want, as there may be an alternate way of doing what you want to do.
  • Some applications may use more than one mode of Clip Gallery. For example, if you are in a special mode that inserts only bullets, you'll have to open Clip Gallery on your application's Insert menu to insert other clips. Check tips for alternatives for specific functions.
  • Stand-alone mode operates differently for some functions. Check tips in individual Help topics for alternatives for specific functions, and read about stand-alone mode.

If you can't find a button or function at all:

  • Open Clip Gallery to full-window size to make sure you can see all of it.
  • Check to make sure you haven't covered the portion of the toolbar it resides on by accidentally repositioning the toolbar.
  • If you are in a special mode of Clip Gallery (for instance, one that only inserts bullets), you'll have to open Clip Gallery on your application's Insert menu in order to have access to all Clip Gallery features.


What if I use Clip Gallery 5.0 with earlier applications?

Clip Gallery 5.0 will replace the version of Clip Gallery that came with earlier Microsoft applications installed on your computer. Clip Gallery will look and act slightly differently when running in earlier applications than it does running with current applications; however, you will be able to accomplish the same tasks when using the current version of Clip Gallery.

Earlier Microsoft applications may allow only some of the functions of the current version of Clip Gallery. You may notice that some buttons are inactive or missing. Check the tips on the Help page that describe the function. There may be an alternate way of doing what you want to do. For instance:

  • You may not be able to insert clips, but you may be able to copy and paste clips instead.
  • You can't insert media types that the original application can't already use. If the application doesn't use sounds, then you can't insert sounds.
  • There may not be a Change to small window or Change to full window button, but you can use the shortcuts CTRL+SHIFT+< and CTRL+SHIFT+> to use this feature.

See also:
Can't find a button or function?


Can't insert sound and motion clips with earlier applications?

Can't insert sound and motion clips with an earlier application?

Earlier versions of Clip Gallery that used the Insert button to insert sound and motion clips may not be able to use this button to perform the same function with Clip Gallery 5.0. However, you can still add sound and motion clips to your document if your application supports this by copying and pasting or dragging and dropping them into your document.

See also:
Can't find a button or function?
Using Clip Gallery with earlier applications?


Can't find imported clips?

When you import clips, you must supply clip property information (such as a description, category, or keywords) in order for you to use Clip Gallery later to search or browse for your imported clips. If you skip adding clip properties at the time you import the clip, you will be able to find the clip in the Lost & Found category. Once you add a description or keyword to that clip, or add that clip to another category, the clip can be found by using the keyword or description or by looking in that category, and will no longer be in Lost & Found.

Tips

  • If you imported clips using Clips Online and can't find them, please see Can't open a .cil file? for more information.
  • If you can't find a clip imported by another user on the same computer, this is because the clips you import or change are only visible to you when personal user profiles are enabled. If you do not have profiles enabled, all clips are shared among all of the users of the computer. For more information about user profiles, see Windows Help.

See also:
Making imported clips easy to find


Can't find a previously available catalog?

When Clip Gallery asks you to insert a disk in order to find a previously available clip catalog, you have a choice of inserting the disk and selecting Retry, or selecting Cancel. When you select Cancel, Clip Gallery will temporarily not prompt you for that clip catalog again. To see clips in that clip catalog, you will need to close and reopen Clip Gallery.

See also:
Switching to another folder or drive


Artgal50.mmc is corrupt?

The file Artgal50.mmc is the main Clip Gallery catalog where Clip Gallery stores clip property information about clips you import. Clip properties include information such as keywords, categories, and thumbnail previews. If you get the message that this file is corrupted beyond repair, Clip Gallery can no longer access this information.

You will need to delete or rename the file to allow Clip Gallery to create a new one. When you create a new file, you will lose all user-added clip property information. Once a new version of this file is created, you can reimport the clips you had previously imported, and re-enter the clip property information for those clips.

Caution

If your computer is set up to be used by more than one person or has more than one profile, be careful to delete only the copy of this file that is in a folder or path with your account name (login ID) on it. If you are on a network, ask for help from your network administrator if you do not understand how to find the correct file.

To delete or rename this file

  1. Go to Windows Start menu, point to Find, and then select Files or Folders.
  2. Type the file name Artgal50.mmc in the Named text box.
  3. Select the drive where your Clip Gallery catalog is installed in the Look in text box. If you don't know where it would be, then select My Computer.
  4. Click the Find Now button. This search may take up to several minutes to complete. Be sure to complete this search so you will have all the information to select the correct file if there is more than one.
  5. Delete or rename the file named Artgal50.mmc that is in the folder with your account name in the path. You may save the file by changing the name to another name such as Artgal50old.mmc


Clip Gallery cannot locate clip?

When Clip Gallery cannot locate a file you have requested, it means that the location of the file has changed. You may have moved or removed the file, or changed your hardware configuration (for example, added a new disk drive, changing the drive volume to a different letter designation).

When the Cannot Locate Clip dialog box appears:

  • If you know the new location of the file, click Update Location and browse to the new location of the clip. If you don't know where to browse for the clip:
    1. Go to the Windows Start menu, point to Find, and click Files or Folders.
    2. Type or paste the file name in the Named text box.
    3. Select the drive or removable media in the Look in text box.
    4. Click the Find Now button.
    5. If the clip is found, browse to or type in the new location in the Select a new location dialog box.
  • If the clip is gone and you wish to remove the preview of this clip from Clip Gallery, click Remove this Clip.
  • If you wish to ignore this error, click Cancel.

See also:
Switching to another folder or drive


Can't open a .cil file?

When you import clips using the Clips Online button, in most cases they will automatically be added to your Clip Gallery. However, if you saved the file to your hard drive instead, you will find a file with a .cil extension. Clip Gallery needs to open the .cil file and add the clips to your Clip Gallery in order for you to use the clips.

To add the clips to Clip Gallery

  1. On the Windows Start menu, point to Programs, and then select Windows Explorer.
  2. Locate the .cil file. See Switching to another folder or drive for more help.
  3. Double-click the .cil file.

Note Attempting to move .cil files into Clip Gallery using Import clips, drag-and-drop or copy and paste will not work.


Get checkered flag instead of clip?

When you insert or drag a picture or motion clip into your document, and you do not have a graphics filter installed for that clip, you may get an image of a checkered flag instead:

Please make note of the information in the accompanying dialog box, which will explain why your request was not processed and point you to solving the problem.

See also:
Missing or incompatible graphics filter or media player?


Missing or incompatible graphics filter or media player?

In order for Clip Gallery to be able to work with a specific graphic or other media format, your computer must have the appropriate software. Graphic filters and media players come with operating systems, graphic programs, and other application programs. If you get an error message that says your graphics import filter or media player may be missing, corrupted, or incompatible:

  • Try to import another file of the same type. If this works, then the first clip file is probably corrupted. However one or more clips may be incompatible with the installed graphics filter or media player for a given file type. Or a filter or media player might need to be installed.
  • If the file you are having problems with is a Picture file, look up graphics file format or graphics filter in the Help file from the application or applications on your computer that were installed with Clip Gallery. There may be information about which graphics filters come with that product and which do not, and how to install filters from that product that you may not have already installed.
  • If your application comes with a graphics filter that you do not currently have installed, you can reinstall that application to get the missing filter or player:
    1. Close all programs.
    2. Click the Windows Start button, point to Settings, and then click Control Panel.
    3. Double-click Add/Remove Programs.
    4. On the Install/Uninstall tab, click the name of the program, and then click Add/Remove.
    5. Follow the instructions on the screen to modify your installation, checking any graphics filters you want added.
  • If the file you are having problems with is a sound or motion clip but not an animated .gif, then make sure you have installed Microsoft Media Player (which comes with Microsoft Windows) and Active Movie or DirectShow (which come with Microsoft Internet Explorer or later versions of Windows). See Installing a media player for browser-specific instructions.

See also:
Blank thumbnail for animated GIFs?


Can't play old animated GIFs?

If you have animated GIFs from a previous version of Clip Gallery appearing on the Pictures tab, in order to play them you must first move the clip from the Pictures tab to the Motion Clips tab:

  1. Drag, or copy and paste, the clip from Clip Gallery to your desktop, or some other temporary location such as a folder.
  2. Drag the clip back into a category on the Motion Clips tab.

Note When reimporting a clip in order to get it on the correct tab, you will lose the clip properties and have to enter them again. See description, category, and keywords to learn how to re-enter this information.

See also:
Playing sound and motion clips
Using drag-and-drop


Blank thumbnail?

If you import an animated GIF that shows a blank thumbnail and preview, it is most likely caused by file incompatibility. You can try opening the file in a GIF animation program, saving it again, and reimporting it into Clip Gallery.

If you import a graphic, such as a JPG, TIFF, or other photographic format, that shows a blank thumbnail, it is most likely because the graphic is too large and your computer doesn't have enough memory to show the thumbnail. However, the clip has been imported successfully and can be inserted in your documents. In order to see the thumbnail, try the suggestions below.

  1. Open the clip in a graphics program. Resize the graphic to make it smaller, change it to a lower resolution, or both. Then reimport the new version of the clip.
  2. Enlarge the size of your swap file. For information on how to do this, click the Windows Start button, click Help, and then look up Swap file in the Index. Change the Maximum Size of your paging file to the recommended maximum.

See also:
Missing or incompatible graphics filter or media player?


Can't find old user-created categories?

When upgrading to Clip Gallery 5.0, user-created categories in older versions of Clip Gallery will not automatically be added to Clip Gallery 5.0. However, the clips will still be in the Clip Gallery and the category information will still be stored for each clip, so typing the old user-created category name in the Search for clips text box will find these clips. See Searching for clips by description for more information. Any clips that were shipped with your prior version of Clip Gallery will still be in the categories they shipped with in Clip Gallery 5.0.

To create a new category and add old or new clips to that category

  • See Creating a new category to create a category.
  • See Categorizing clips to learn how to put clips in a category.
  • See Searching for clips by description to learn how to locate the clips. You will need to have added keywords or a description to the clips, or know the current category name, in order to find them.

See also:
Making imported clips easy to find


An unspecified error has occurred?

Many unspecified errors can be fixed by doing one of the following procedures. Try the first one and reopen Clip Gallery. If you get the error message again, then try the next one, and so on.

  1. Close all instances of Clip Gallery, and then restart it.
  2. Quit all applications and restart your computer.
  3. Reregister Clip Gallery on your computer.
  4. Compact your Clip Gallery catalog.
  5. Reinstall Clip Gallery using the setup program of the application you used to install it.


Need technical support?

Getting help from Microsoft Technical Support

Microsoft offers technical support and services ranging from self-help tools to direct assistance with a Microsoft technical engineer. Choose the support option that's right for you.

  • If you have a simple question and need an answer fast
  • If your question is urgent and more complex
  • If your question isn't urgent
  • For additional support needs

The services and prices listed here are available in the United States and Canada only. Support outside the United States and Canada may vary. Microsoft's support services are subject to Microsoft's then-current prices, terms, and conditions, which are subject to change without notice.


Creating a shared custom catalog

This topic is for network administrators only

If you are administering Clip Gallery on a network, you may want to customize catalogs shared out to users. In addition to sharing out custom created catalogs, you can also share catalogs that come with the applications. If the application includes a network installation option, catalogs that come with the application can be installed to share on the network using the network installation option of the setup program that comes with the application.

If you want to create, share and register custom read-only catalogs so users can access them on a network, see the following topics:

  • Clip Gallery Catalogs
  • Creating a shared Clip Gallery catalog and configuring users' computers to access it
  • Maintaining a user's shared Clip Gallery catalog configuration


Advanced Organizing Clips

Advanced clip organizing features

To organize your clip collection you can:

  • create new categories
  • move clips into all categories or my categores category
  • change properties of a clip: description/keywords/categories
  • delete a clip (are they actually just deleting the thumbnail? Is this the same whether it's a clip they add or one from the original collection?)
  • update clip previews (what does "correct previews" really mean?)


autocomplete

Using AutoComplete in the Search for clips text box

Clip Gallery may offer you a suggestion after you have typed a word or part of a word. The suggestion will appear in a yellow box similar to a ToolTip.

  • If you want to accept the suggestion, press the TAB key, and then press ENTER.
  • If you do not want to accept the suggestion, keep typing or press ENTER once you have completed typing.

Note This feature is not available in all languages.


AutoCorrect

Using AutoCorrect in the Search for clips text box

  • Clip Gallery will automatically correct common single-word errors, such as changing teh to the.
  • If the CAPS LOCK key is accidentally turned on, and you type a lower-case letter followed by upper-case letters, AutoCorrect will reverse the case of the letters and then turn off the CAPS LOCK key.

Note This feature is not available in all languages.


Clip Gallery catalogs

This topic is for network administrators only

Clip Gallery stores clip previews, keywords, and categories in Clip Gallery catalogs, which have a .cag or .mmc file name extension. In ClipArt Gallery 2.0, users could view only one clip catalog (Artgalry.cag). In Clip Gallery 3.0 and later versions, however, users can view additional clip catalogs in Clip Gallery. Clip Gallery catalogs can be stored on a user's hard disk, on a removable disk, or on a network (depending on the options chosen during setup of the program that the clips came with).

There always is at least one writeable Clip Gallery catalog, called the primary catalog, which is stored in the user's Application Data directory. For example, under Windows 95 it would typically be installed in

C:\Windows\Application Data\Microsoft\Media Catalog\Artgal50.mmc.

In Windows NT, it typically would be installed in

C:\WinNT\Profiles\username\Application Data\Microsoft\Media Catalog\Artgal50.mmc.

When a user imports a clip into Clip Gallery, its thumbnail and other clip properties are stored in this catalog.

To supplement the primary catalog on each user's computer, a network administrator can create a shared read-only Clip Gallery catalog and put it on a network to be shared by several users. By marking the shared catalogs as read-only after creating them and sharing them, only a network administrator can delete, add, or make changes to the clip previews, categories, or keywords of clips in this shared catalog. Someone would need appropriate access rights to reverse the procedure described earlier in this topic in order to make changes to an existing shared file. Users, however, can change properties on clips once they move them to their own primary catalog.

Before a user can insert clips from a shared catalog into their document, however, the network administrator must configure the user's computer to access the shared catalog. See Creating a shared Clip Gallery catalog and configuring users' computers to access it, for more information.

In Clip Gallery, to find out which catalog a clip preview belongs to, right-click the clip, and then click Clip Properties. The full path to the catalog is listed as the Catalog path. If the path is too long to be seen in its entirety, click the text, and then scroll to the right.

See also:
Maintaining a user's shared Clip Gallery catalog configuration


Changing clip properties

To change clip properties:

the Clip Properties dialog box appears when you are importing clips into the Clip Gallery, or you can bring it up for an individual clip:

  1. Use the right mouse button (right-click) to select the clip or clips you want to edit the keywords for.
  2. Click on Clip Properties.

To enter or change the description:

  1. On the Description tab, type in words or phrases to describe the clip.

To select or remove categories this clip will appear in:

  1. Click on Categories tab.
  2. Select any categories you want the clip to appear in.
  3. Click the New Categories button to add a new category name.

To enter or change keywords:

  1. Click on Keywords tab.
  2. To remove a keyword, highlight that keyword and click the Remove Keyword button.
  3. To add a keyword, click the Add Keyword button, and then type in the keyword you want to add.


Using the Favorites category

Each tab comes with a Favorites category, which is a convenient place for you to store and easily find your favorite clips.

To add a clip to the Favorites category when you are importing the clip

  • In the Clip Properties dialog box, select the Favorites category.

To add a clip already in Clip Gallery to the Favorites category

  • See Adding a clip to a category.

See also:
Categorizing clips
Making imported clips easy to find


Switching to another folder or drive

  1. If you see the folder that you want to open, double-click it.
  2. If you don't see the folder that you want, scroll through the window.

    –OR–

    At the top of the dialog box, click the Up One Level button until you see the folder.
  3. If your file is on a floppy disk, click the arrow to the right of the Look in box, and then click [A:] or [B:].
  4. If your file is on a compact disc or other removable media, click the arrow to the right of the Look in box, and then click the letter for the CD-ROM drive or the drive for the other media device.
  5. If your file is on a network drive, click the arrow to the right of the Look in box, and then click the letter for the network drive.

Tip

  • If you don't know where the file is located, use Find on the Windows Start menu to locate it.


Installing a media player

Microsoft Media Player is required for importing or inserting sound or video files (except animated .gifs). DirectShow or Active Movie add support for additional types, but if you only have DirectShow or Active Movie you can only play media files, not insert or import them. Select the correct media player for your browser.

If you are using Internet Explorer 4.0 or higher

  1. Click the Windows Start button, point to Settings, and then click Control Panel.
  2. Click Add/Remove Programs, select the Install/Uninstall tab, select Microsoft Internet Explorer, and then click Add/Remove.
  3. Select Add a component to Internet Explorer.
  4. Add DirectShow.

If you are using Internet Explorer 3.0

  • You can reinstall Internet Explorer 3.0 to add Active Movie (or upgrade to Internet Explorer 4.0 and you will get DirectShow.)
  • In addition you must install Media Player to be able to import or insert clips other than animated GIFs.
    1. Click the Windows Start button, point to Settings, and then select Control Panel.
    2. Click Add/Remove Programs and select Windows Setup.
    3. Select Multimedia and click the Details button.
    4. Select Media Player and click OK.

See also:
Playing sound and motion clips


Navigating

Here are some tips for navigating around Clip Gallery:

  • Clicking the All Categories button on the toolbar

    will open the page showing all categories of clips. Categories and contents of the categories will be different on each Media tab. Be sure to click the All Categories button when on the Media tab you wish to search.
  • You can go back to previous search results. See previous search results for more information.

Note If you are running a Microsoft application that has a restricted mode of Clip Gallery, the All Categories button looks the same but is called the Home button. When in this mode, you will just see clips as there are no categories. The Home button returns Clip Gallery to the top of the page of clips for that special mode.

See also:
What's New


To add Clip Gallery to your Windows Start menu

  1. On the Windows Start menu, point to Settings.
  2. Click Taskbar, or Taskbar & Start Menu, and then click the Start Menu Programs tab.
  3. Click Add, and then click Browse to find the file Cag.exe. See Switching to another folder or drive for more help.
  4. Once you have located Cag.exe, double-click it.
  5. Click Next, and then either select the folder to place the shortcut in or click New Folder to create a folder for the shortcut.
  6. Click Next, type in a name for the shortcut, such as Microsoft Clip Gallery, and then click Finish.

Note In a default local installation the file Cag.exe should be installed in C:\Program Files\Common Files\Microsoft Shared\Artgalry; however, as the location of the shared tools can be changed, the actual location may vary.


Organizing your clips

When you want to find specific clips that came with Clip Gallery, or you want to add your own clips to Clip Gallery, here are some tips on how to make them easy to find:

  • Put your clips in at least one category. You can create a new category to fit your needs, put the clips in the Favorites category, any other existing category, or a combination of these options.
  • Keyword your clips. Keywords allow you to search for your clips, so make up keywords that you'll remember to use to find your clips later. A photo of your Aunt Mary with her dog Spot taken last New Year could be keyworded Aunt Mary, Spot, dog, New Year, relatives, holidays, and so on.
  • Enter a short description of your clips. You'll be able to tell which New Year your photo is from if you include the year in your description. In Clip Gallery, the description appears in the ToolTip when you let the mouse cursor hover over the clip. To find clips with descriptions, type part or all of the description in the Search for clips text box.

You can easily add a group of clips into a second category if you open up both categories at the same time. For information on the easiest way to do this, see Using multiple instances of Clip Gallery.

See also:
Where to store clip files and clip catalogs


Searching for Clips by Keyword

To find clips about a specific subject:

  1. Click in the Search for Clips: box.
  2. Enter one or more words, or a phrase, that describes the subject you want (for example: birds in a tree) and press the ENTER key.
  3. Use the Scroll Bar or the PAGE DOWN and PAGE UP keys to see more clips if not visible on the screen.
  4. Click the Keep Looking button at the bottom of the page, if it appears, to see additional clips.

See also:
finding similar clips
Using the tabs to find content
One-click search by category


Pop-up menu

The fastest way to do many tasks in Clip Gallery is to use the Pop-up menu, which appears when you click any clip.

On the Pop-up menu
Click this button | To do this
 | Insert a clip in your document
 | Preview a picture clip or play a sound or motion clip
 | Add a clip to a new or existing category
 | Find clips that are similar to the clip you selected

See also:
Using the right mouse button


Reregistering Clip Gallery on your computer

When you install Clip Gallery, it makes entries in your computer's Windows registry. Sometimes installing a new program, or updating an existing program, will make a change in your computer's registry. If you are having problems running Clip Gallery, you can reregister it in your Windows registry and that may fix the problem.

To reregister Clip Gallery

  1. Go to the Windows Start menu, point to Find, and click Files or Folders.
  2. Type Artgalry.exe in the Named text box.
  3. Select the drive in the Look in text box. See Switching to another folder or drive for more information.
  4. Click the Find Now button.
  5. When Artgalry.exe is found, double-click on it. You will get the message: Clip Gallery is now configured to run on your computer, when registration is complete.

Tip

  1. It is possible to get the message that Clip Gallery is now configured to run on your computer when it did not complete the process in the following circumstance: if you are running on Windows NT 4.0 and you do not have write access to your registry. If you need to reregister Clip Gallery, be sure you have write access (or administrator privileges which include write access).


Searching for clips

There are several different ways you can search for content in Clip Gallery. Try them all so you'll be able to choose the best one for each search situation. You can:

  • Browse the Media tabs to find content.
  • Click on any category.
  • Search for clips by description.
  • Click Find similar clips on the Pop-up menu.
  • Search for clips by file name extension.

See also:
Importing clips using Clips Online
Importing other clips


Creating a shared catalog and configuring users' computers

Creating a shared Clip Gallery catalog and configuring users' computers to access it

This topic is for network administrators only

Two basic steps must be taken before users on a network can share a custom-made, read-only Clip Gallery catalog. The network administrator must first create a shared Microsoft Media Catalog (.mmc file), and then configure users' computers to access that catalog. This topic covers those tasks. Note that catalogs that come with applications which include a network installation option can be automatically installed to the network using that setup option.

Creating a shared Clip Gallery catalog

  1. To create a shared Clip Gallery catalog from scratch, in Windows Explorer open the directory where Artgal50.mmc exists. Under Windows 95, for example, that would typically be in C:\Windows\Profiles\username\Application Data\Microsoft\Media Catalog\Artgal50.mmc.
  2. With the right mouse button, click Artgal50.mmc and then click Rename.
  3. Type a new name for this file, such as Artgal50.old, to keep as a backup copy.
  4. Open Clip Gallery in stand-alone mode. Clip Gallery creates a new empty Artgal50.mmc catalog file.
  5. Create the categories for the catalog you plan to share using the New Category icon on the All Categories page.
  6. Import the clips that you want to add to the shared catalog. The clip files themselves must be stored on the network, so you need to import them from their network location into Clip Gallery. Be sure to select the Clip Import option Let Clip Gallery find this clip in its current folder or drive.
  7. Quit Clip Gallery by clicking the Close button.
  8. In Windows Explorer, copy the new Artgal50.mmc file to a shared location on the network. The file is frequently put in the same folder as the clips it references, but this is not required. The Clip Gallery catalog file contains the full network path of the clips.
  9. Rename the file something meaningful to you and potential users, such as bizclips.mmc.
  10. Use the Windows Explorer Properties dialog box or the attrib DOS command to mark the file as read-only. See Windows Help for more information.

Configuring users' computers to access the new shared catalog.

In order for a user on your network to view a shared catalog, Clip Gallery must be configured to access that catalog on the user's computer. This can be done in either of the following ways:
  • Have the user click Import Clips, switch to the network drive and folder that contains the shared Clip Gallery catalog, select Files of type: Clip Gallery Catalogs, and then click the shared .mmc file, and click Import. The user's computer is now configured to try to open that shared catalog every time Clip Gallery is run.

    • –OR–

  • You can run a .reg registration file on the user's computer. Several network administration tools are able to do this automatically, or you can mail the .reg file to the user and the user can run it. First, in the .reg file you create, type the following three lines of text:

    REGEDIT4

    [HKEY_LOCAL_MACHINE\Software\Microsoft\ClipArt Gallery\3.0\ConcurrentDatabases\MyCatalogKey]

    "CAG"="FullPathToMyCatalog"

    MyCatalogKey represents a unique name for your catalog.
    FullPathToMyCatalog represents the full network path to the catalog. For example, "CAG"="J:\corporate\shared catalogs\clip art\bizclips.mmc".

    After creating the .reg file, run it on the user's computer.
See also:
Maintaining a user's shared Clip Gallery catalog configuration


spell checker

Using Automatic Spell Checker in the Search for clips text box

After you press the SPACEBAR or ENTER, wavy red lines may appear to indicate possible spelling errors. To correct an error, right-click a word with a wavy red underline, and then select the word you want on the list that appears; or you may type in the correct word yourself.

Note This feature is not available in all languages.


Need technical support?

For additional support needs

If you don't have access to the Internet FastTips is a fax-back service providing Knowledge Base articles and answers to common questions. Call (800) 936-4100 to select information to be faxed to you.

If you need support services for a business Priority Annual, Priority Plus, and Premier provide a selection of support packages geared for businesses. To learn which account meets your needs, go to Microsoft Support Online. Or call (800) 936-3500 for information on accounts for small- to medium-sized businesses and (800) 936-3200 for large, enterprise businesses.

If you need on-site, multivendor, or proprietary product support Microsoft Certified Solution Providers (MCSPs) and Authorized Support Centers (ASCs) specialize in providing support packages for hardware, network, and software products from both Microsoft and other vendors. For more information about MCSPs, call (800) 765-7768. For more information about ASCs, contact your Microsoft account representative. You can also search on Microsoft Support Online for more information.

If you need text telephone (TTY/TDD) Available Monday to Friday, excluding holidays. In the United States, call (425) 635-4948, 6:00 A.M.–6:00 P.M. PST. In Canada, call (905) 568-9641, 8:00 A.M.–8:00 P.M. EST.

If you need support outside the United States and Canada For information on support available in other countries, contact the Microsoft subsidiary nearest you. For a list of worldwide subsidiary telephone numbers, consult the Help file of your retail Microsoft product.

Important Phone numbers for Microsoft subsidiaries are subject to change. For the most recent listing, please see the options and phone-number section on the Support Online Web site at Microsoft Support Online. If there is no Microsoft subsidiary office in your country, please contact the establishment from which you obtained your Microsoft product.

See also:
Support: a simple question
Support: an urgent, complex question
Support: not urgent


Need technical support?

If your question isn't urgent

Send e-mail to a Microsoft Technical Support Engineer This is ideal for questions requiring attached files. Submit a question anytime and receive a response within one business day. Submit a question at Microsoft Support Online, using one of the following options:

Standard No-Charge Web Response Standard No-Charge Support incidents may be submitted for all eligible retail Microsoft products. If you are using Clip Gallery in conjunction with a retail Microsoft product, see that product's individual Help file for the amount of Standard No-Charge Support available.

Pay-Per-Incident Web Response Submit your question for a fee of $35US.

See also:
Support: a simple question
Support: an urgent, complex question
Support: additional


Need technical support?

If you have a simple question and need an answer fast

Quickly find answers yourself online Use Support Online to easily search the Microsoft Knowledge Base and other technical resources for fast, accurate answers. You can also customize the site to control your search. To begin your search, go to Microsoft Support Online.

See also:
Support: an urgent, complex question
Support: not urgent
Support: additional


Need technical support?

If your question is urgent and more complex

Telephone Microsoft Technical Support Work with a support engineer to solve your issue through the following options:

Standard No-Charge Support (for help during business hours) If you are using Clip Gallery in conjunction with a retail Microsoft product, see that product's individual Help file for Standard No-Charge Support available. Clip Gallery used in conjunction with a non-Microsoft product is not eligible for Standard No-Charge Support; please see the Pay-Per-Incident section below. If your Microsoft product was preinstalled or shipped with your personal computer, you are not eligible for Standard No-Charge Support from Microsoft and must contact your computer manufacturer for support. For phone numbers, please refer to the documentation that came with your computer.

Pay-Per-Incident Support (for help after hours or to supplement Standard Support) If you need help after hours, or are not eligible for Standard No-Charge Support, you can purchase Pay-Per-Incident Support. Support fees for the (800)-number calls will be billed to your VISA, MasterCard, or American Express card. Support fees for the (900)-number calls will appear on your telephone bill.

In the United States: (800) 936-5700 or (900) 555-2300 | In Canada: (800) 668-7975
Cost: $35US per incident | Cost: $45CDN plus tax per incident
24 hours a day, seven days a week, including holidays | 8:00 A.M.–8:00 P.M. EST, Monday–Friday, excluding holidays

See also:
Support: a simple question
Support: not urgent
Support: additional


Maintain a user's shared Clip Gallery catalog configuration

Maintaining a user's shared Clip Gallery catalog configuration

This topic is for network administrators only

Clip Gallery displays all the clip catalogs listed in the registry under the following keys:
HKEY_LOCAL_MACHINE\Software\Microsoft\ClipArt Gallery\5.0\ConcurrentDatabases
HKEY_LOCAL_MACHINE\Software\Microsoft\ClipArt Gallery\3.0\ConcurrentDatabases
HKEY_LOCAL_MACHINE\Software\Microsoft\ClipArt Gallery\2.0\Import
HKEY_LOCAL_MACHINE\Software\Microsoft\ClipArt Gallery\2.0\Postponed
HKEY_CURRENT_USER\Software\Microsoft\ClipArt Gallery\Catalogs

To remove or change the name or location of any catalog, use the regedit.exe Registration Editor tool in Windows 98 and Windows 95, or regedt32.exe in Windows NT, to edit those registry keys.

Caution

Be careful to modify only the specified registry settings. Changing any other settings may cause problems on that computer.